package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfTotemVentaRapida;

public class RenderConfTotemVentaRapidaOrigemDestino implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		ConfTotemVentaRapida vo = (ConfTotemVentaRapida) o;

		Listcell lc = new Listcell(vo.getOrigen().getCveparada() + " - " + vo.getOrigen().getDescparada());
		lc.setParent(lstm);

		lstm.setAttribute("data", vo);

		lc = new Listcell(vo.getDestino().getCveparada() + " - " + vo.getDestino().getDescparada());
		lc.setParent(lstm);

		lstm.setAttribute("data", vo);

	}
}
